summaryrefslogtreecommitdiffstats
path: root/network/leechcraft
diff options
context:
space:
mode:
author rexim <0xd34df00d@gmail.com>2010-05-13 01:00:05 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 01:00:05 +0200
commit110efb9bfd346d8959c2966334f04728f614a556 (patch)
treee5a197609e4bfa9c951604739d5a0d2b2f9528dc /network/leechcraft
parent7ce202d67b258dff2b2d286c1b2e2f463675c965 (diff)
downloadslackbuilds-110efb9bfd346d8959c2966334f04728f614a556.tar.gz
slackbuilds-110efb9bfd346d8959c2966334f04728f614a556.tar.xz
network/leechcraft: Added to 13.0 repository
Diffstat (limited to 'network/leechcraft')
-rw-r--r--network/leechcraft/README26
-rw-r--r--network/leechcraft/doinst.sh22
-rw-r--r--network/leechcraft/leechcraft.SlackBuild97
-rw-r--r--network/leechcraft/leechcraft.info10
-rw-r--r--network/leechcraft/slack-desc19
5 files changed, 174 insertions, 0 deletions
diff --git a/network/leechcraft/README b/network/leechcraft/README
new file mode 100644
index 0000000000..22782597c3
--- /dev/null
+++ b/network/leechcraft/README
@@ -0,0 +1,26 @@
+LeechCraft is a full-featured modular "Internet client" application,
+currently including plugins for a web browser, news feed reader,
+BitTorrent client, FTP client, and many more. Plugins are easily added
+and integrated with each other with no effort.
+
+Currently it includes following plugins:
+* Aggregator, news feed reader * BitTorrent, the BitTorrent client
+* Chatter, the IRC client * CSTP, simple HTTP implementation
+* DBusManager, D-Bus for the LeechCraft * DeadLyrics, LyricWiki.org API
+* HistoryHolder, downloads history * LCFTP, FTP implementation client
+* LMP, simple media player with streaming support
+* NetworkMonitor, which monitors for HTTP requests
+* Poshuku, the web browser * Poshuku CleanWeb, AdBlock+-compatible ad blocker
+* Poshuku FileScheme, support for the file:// browsing
+* Poshuku FUA, which allows to set fake user agents per domain
+* SeekThru, client for OpenSearch-aware web sites
+
+The following variables default to ON, but you can disable building any of
+them by passing NAME_OF_VARIABLE=OFF to the build script:
+ ENABLE_SUMMARY ENABLE_TORRENT ENABLE_AGGREGATOR ENABLE_POSHUKU ENABLE_HTTP
+ ENABLE_FTP ENABLE_LMP ENABLE_DBUSMANAGER ENABLE_DEADLYRICS ENABLE_SEEKTHRU
+ ENABLE_NETWORKMONITOR ENABLE_HISTORYHOLDER ENABLE_CHATTER ENABLE_YASD
+ ENABLE_DCMINATOR ENABLE_NEWLIFE ENABLE_ANHERO ENABLE_VGRABBER
+As an example, you can do this: ENABLE_LMP=OFF ./leechcraft.SlackBuild
+
+An optional dependency is libtorrent-rasterbar.
diff --git a/network/leechcraft/doinst.sh b/network/leechcraft/doinst.sh
new file mode 100644
index 0000000000..cb1c14bc92
--- /dev/null
+++ b/network/leechcraft/doinst.sh
@@ -0,0 +1,22 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/icons/Pevzi/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/Pevzi >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/icons/oxygen/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/oxygen >/dev/null 2>&1
+ fi
+fi
+
diff --git a/network/leechcraft/leechcraft.SlackBuild b/network/leechcraft/leechcraft.SlackBuild
new file mode 100644
index 0000000000..931d0f13c3
--- /dev/null
+++ b/network/leechcraft/leechcraft.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for LeechCraft
+
+# Copyright 2009 rexim
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=leechcraft
+VERSION=0.3.65
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ EXTRA_CMAKE_FLAGS="-DRESPECTLIB64=True"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p build
+cd build
+cmake \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX="/usr" \
+ -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+ -DENABLE_SUMMARY="${ENABLE_SUMMARY:-ON}" \
+ -DENABLE_TORRENT="${ENABLE_TORRENT:-ON}" \
+ -DENABLE_AGGREGATOR="${ENABLE_AGGREGATOR:-ON}" \
+ -DENABLE_POSHUKU="${ENABLE_POSHUKU:-ON}" \
+ -DENABLE_HTTP="${ENABLE_HTTP:-ON}" \
+ -DENABLE_FTP="${ENABLE_FTP:-ON}" \
+ -DENABLE_LMP="${ENABLE_LMP:-ON}" \
+ -DENABLE_DBUSMANAGER="${ENABLE_DBUSMANAGER:-ON}" \
+ -DENABLE_DEADLYRICS="${ENABLE_DEADLYRICS:-ON}" \
+ -DENABLE_SEEKTHRU="${ENABLE_SEEKTHRU:-ON}" \
+ -DENABLE_NETWORKMONITOR="${ENABLE_NETWORKMONITOR:-ON}" \
+ -DENABLE_HISTORYHOLDER="${ENABLE_HISTORYHOLDER:-ON}" \
+ -DENABLE_CHATTER="${ENABLE_CHATTER:-ON}" \
+ -DENABLE_YASD="${ENABLE_YASD:-ON}" \
+ -DENABLE_DCMINATOR="${ENABLE_DCMINATOR:-ON}" \
+ -DENABLE_NEWLIFE="${ENABLE_NEWLIFE:-ON}" \
+ -DENABLE_ANHERO="${ENABLE_ANHERO:-ON}" \
+ -DENABLE_VGRABBER="${ENABLE_VGRABBER:-ON}" \
+ $EXTRA_CMAKE_FLAGS \
+ ../src/
+
+make
+make install DESTDIR=$PKG
+
+# Move the manual pages to the correct place
+mv $PKG/usr/share/man $PKG/usr
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/leechcraft/leechcraft.info b/network/leechcraft/leechcraft.info
new file mode 100644
index 0000000000..b8bc709eb6
--- /dev/null
+++ b/network/leechcraft/leechcraft.info
@@ -0,0 +1,10 @@
+PRGNAM="leechcraft"
+VERSION="0.3.65"
+HOMEPAGE="http://leechcraft.org/"
+DOWNLOAD="http://downloads.sourceforge.net/leechcraft/leechcraft-0.3.65.tar.bz2"
+MD5SUM="f410eae27731aa80b8921701477b15e7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="rexim"
+EMAIL="0xd34df00d@gmail.com"
+APPROVED="rworkman"
diff --git a/network/leechcraft/slack-desc b/network/leechcraft/slack-desc
new file mode 100644
index 0000000000..b541d8dcf8
--- /dev/null
+++ b/network/leechcraft/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+leechcraft: LeechCraft (modular internet client application)
+leechcraft:
+leechcraft: LeechCraft is a full-featured modular "Internet client" application,
+leechcraft: currently including plugins for a web browser, news feed reader,
+leechcraft: BitTorrent client, FTP client and many more. Plugins are easily added
+leechcraft: and integrated with each other with no effort.
+leechcraft:
+leechcraft: Homepage: http://leechcraft.org/
+leechcraft:
+leechcraft:
+leechcraft: